<?php

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

$redirect = 'login.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/usuario.php';
  require_once 'inc/parametros.php';
  $usuario = usuarios_create();
  if (isset($_POST['usuario'])) {
    $usuario = array_replace_recursive($usuario, $_POST['usuario']);
  }

  if (isset($_POST['btn-login'])) {
    $ok = login($usuario);
    if ($ok) {
      
      $parametros = parametros_getByNome('background_config_taurus');
      if($parametros !== false){
        $_SESSION['background_config_taurus'] = $parametros['ds_valor'] ;
      }
      $redirect = 'login2.php';
    }
  } else if (isset($_POST['btn-login2'])) {
    // inclui a unidade do usuário logado
    $id_unidade = $_POST['filial'];
    $_SESSION[SESSION_USER_NAME]['unidade'] = $id_unidade;

    $url_user = login2($usuario, $redirect);

    if(is_numeric($_POST['modulo'])){
      $modulo_crip= base64_encode($_POST['modulo']);
      $redirect   = 'index.php?modulo=' . $modulo_crip;  
    }
  } else if (isset($_POST['btn-esqueci'])) {
    $ok = esqueciSenha($usuario);
  } else if (isset($_POST['btn-redefinir'])) {
    $ok = novaSenha($usuario);
    if ($ok === false) {
      $redirect = 'login-esqueci.php?h=' . $_POST['h'];
    }
  }

  header("Location:$redirect");
  exit;
} else if (isset($_GET['logout'])) {
  $redirect = 'login.php';
  session_destroy();
  session_start();
  addMessage('Logout efetuado com sucesso', 'success');
  header("Location:$redirect");
  exit;
} else if (isset($_GET['h'])) {
  require_once 'inc/usuario.php';
  $redirect = 'login-esqueci.php';
  $ok = verificaValidadeHash();
  if ($ok === false) {
    $redirect = 'login.php';
    header("Location:$redirect");
    exit;
  }
}
